<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package Hosting
 * @subpackage JV_Hosting
 * @since JV Hosting 1.0
 */
$shortcode=array();
$class_blog="";

$url = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
if($url<>""){
	$shortcode[]='<img alt=""  src="'.esc_url($url).'" />';
	$class_blog="blog-thumbnail";
}
$audio=get_post_meta($post->ID,'audio_setting',true);
if($audio<>""){
	$shortcode[]=$audio;
	$class_blog="blog-audio";
}
$video=get_post_meta($post->ID,'video_setting',true);
if($video<>""){
	$shortcode[]=$video;
	$class_blog="blog-video";
}

if(jv_get_album($post->ID)<>""){
	$shortcode[]=jv_get_album($post->ID);
	$class_blog="blog-gallery";
}

?>
<article  id="post-<?php the_ID(); ?>" <?php post_class('thumbleft'); ?>>

<?php if ( is_single() ) echo  '<div class="single-posts">';  ?>

<?php 
	if ( ! post_password_required() && ! is_attachment() ) :
		if(!empty($shortcode)){
			?>
			<div class="thumbnail_large <?php echo esc_attr($class_blog);?>">
			<?php
				if($class_blog=="blog-thumbnail"){
					echo do_shortcode($shortcode[count($shortcode)-1]);
				}
				else if($class_blog=="blog-audio" || $class_blog=="blog-video"){
					echo do_shortcode($shortcode[0]);
				}
				else{
					echo do_shortcode($shortcode[count($shortcode)-1]);
				}
			?>
			</div>
			<?php
		}
	endif; 
	
?>		


<div class="post-right">

<?php 
	if ( is_single() ) :
?>
		<h2 class="single-title"><?php the_title(); ?></h2>
<?php 
	else : ?>
		<h3 class="entry-title ">
			<a class="text-primary" href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
		</h3>
<?php endif; // is_single() ?>

<div class="entry-meta ItemLinks ItemLinksInline ItemLinksTop">
<span class="date">
	<i class="icon-calendar3"></i>
	<?php echo esc_attr( date('d M Y',strtotime($post->post_date)) ) ?>
</span>


					

<?php if ( comments_open() ) : ?>
	<span class="comments-link text-primary">
		<?php comments_popup_link( '<span class="leave-reply"> <i class="icon-comments3"></i> ' . __( '0', 'jv-hosting' ) . '</span>', __( '<i class="icon-comments3"></i> 1', 'jv-hosting' ), __( '<i class="icon-comments3"></i> %', 'jv-hosting' ) ); ?>
	</span><!-- .comments-link -->
<?php endif; // comments_open() ?>

<?php edit_post_link( __( 'Edit', 'jv-hosting' ), '<span class="edit-link "><i class="icon-edit5"></i>  ', '</span>' ); ?>
	<?php 
	if ( is_single() ) {
		if ( comments_open() ) : ?>
			<span class="comments-link pull-right">
				<?php comments_popup_link( '<span class="leave-reply"> <i class="icon-comments3"></i> ' . __( '0', 'jv-hosting' ) . '</span>', __( '<i class="icon-comments3"></i> 1', 'jv-hosting' ), __( '<i class="icon-comments3"></i> %', 'jv-hosting' ) ); ?>
			</span><!-- .comments-link -->
		<?php endif;
	}// comments_open() ?>
	
<?php 
if ( is_single() ) :
	jv_hosting_entry_meta_full();
else :
	 jv_hosting_entry_meta_tag();		
endif;
?>

</div><!-- .entry-meta -->



<div class="blog-item-description <?php if($class_blog) echo 'is_thumbnail_large'; ?>">


<?php 
	if ( is_search() ) : // Only display Excerpts for Search ?>
		<div class="entry-summary">
			<?php 
				the_excerpt(); 
			?>
		</div><!-- .entry-summary -->
<?php 
	else : 
?>
		<div class="entry-content">
			<?php 
			if ( post_password_required( $post->ID ) )
						  echo get_the_password_form( $post->ID );
			else{
				if(is_single()){
						the_content();
				}
				else{
					$p = preg_split( '/<!--more(.*?)?-->/', apply_filters('the_content',$post->post_content ));
					if(isset($p[1])){
						echo apply_filters( 'esc_html', $p[0] );
					}
					else{
						the_content();
					}
				}
			}
			 ?>

			<?php  wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'jv-hosting' ), 'after' => '</div>' ) ); ?>
		</div><!-- .entry-content -->
<?php 
	endif; 
?>
	<?php 
    if ( !is_single() ) { ?>
        <footer class="entry-footer">
			<h5 class="readmore">
				<a class="btn btn-primary light" href="<?php the_permalink(); ?>" rel="bookmark"> <?php _e( 'Read more', 'jv-hosting' ); ?><i class="icon-arrow-right10"></i></a>
			</h5>  
        </footer>
    <?php 
    } ?>  

        
<?php if ( is_singular() && get_the_author_meta( 'description' ) && is_multi_author() ) : // If a user has filled out their description and this is a multi-author blog, show a bio on their entries. ?>
	<div class="author-info">
		<div class="author-avatar">
			<?php
			/** This filter is documented in author.php */
			$author_bio_avatar_size = apply_filters( 'hosting_author_bio_avatar_size', 110 );
			echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
			?>
		</div><!-- .author-avatar -->
		<div class="author-description">
			<h4 class="author-name light text-primary">
				<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
					<?php printf( __( '%s', 'jv-hosting' ), get_the_author() ); ?>
				</a>
			</h4>
			<p><?php the_author_meta( 'description' ); ?></p>
			
			<span class="author-link url">
				<i class="icon-earth3"></i><?php echo esc_attr_e( 'Website :', 'jv-hosting' ) ; ?> 
				<a class="text-primary" href="<?php the_author_meta( 'url' ); ?>" target="_blank"><?php the_author_meta( 'url' ); ?></a>
			</span>
			<span class="author-link email">
				<i class="icon-envelope-o"></i><?php echo esc_attr_e( 'Email :', 'jv-hosting' ); ?>
				<a class="text-primary" href="mailto:<?php the_author_meta( 'email' ); ?>" target="_blank"><?php the_author_meta( 'email' ); ?></a>
			</span>
	
		</div><!-- .author-description -->
	</div><!-- .author-info -->
<?php endif; ?>


</div>

</div> <!--end post-right-->


<?php if ( is_single() ) echo "</div>";  ?>
</article>
	<!-- #post -->
