<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package Hosting
 * @subpackage JV_Hosting
 * @since JV Hosting 1.0
 */
$shortcode=array();
$class_blog="";

$url = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
if($url<>""){
	$shortcode[]='<img alt=""  src="'.esc_url($url).'" />';
	$class_blog="blog-thumbnail";
}
$audio=get_post_meta($post->ID,'audio_setting',true);
if($audio<>""){
	$shortcode[]=$audio;
	$class_blog="blog-audio";
}
$video=get_post_meta($post->ID,'video_setting',true);
if($video<>""){
	$shortcode[]=$video;
	$class_blog="blog-video";
}

if(jv_get_album($post->ID)<>""){
	$shortcode[]=jv_get_album($post->ID);
	$class_blog="blog-gallery";
}

			
?>
<article  id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

<div class="single-posts <?php if($class_blog) echo 'is_thumbnail_large'; ?>">

<div class="post-meta ">
			<div class="meta-icon bg-padding-box border circle">
				<i class="<?php echo jv_get_metaicon($class_blog); ?>"></i>
			</div>

			<?php jv_echo_date_hosting(); ?>
		
			
			<?php if ( is_sticky()  && ! is_paged() ) : ?>
			<div class="featured-post">
				<i class="icon-star6"></i>
			</div>
			<?php endif; ?>
			
        </div>
        
        
<div class="topsignle">

<h2 class="single-title"><?php the_title(); ?></h2>

<div class="entry-meta ItemLinks ItemLinksInline ItemLinksTop">

<?php 
jv_hosting_entry_meta_no_date_tag();
?>

<?php edit_post_link( __( 'Edit', 'jv-hosting' ), '<span class="edit-link "><i class="icon-edit5"></i>  ', '</span>' ); ?>
			<?php 

				if ( comments_open() ) : ?>
					<span class="comments-link pull-right">
						<?php comments_popup_link( '<span class="leave-reply"> <i class="icon-comments3"></i> ' . __( '0', 'jv-hosting' ) . '</span>', __( '<i class="icon-comments3"></i> 1', 'jv-hosting' ), __( '<i class="icon-comments3"></i> %', 'jv-hosting' ) ); ?>
					</span><!-- .comments-link -->
				<?php endif;
			?>

</div><!-- .entry-meta -->

<?php 
	if ( ! post_password_required() && ! is_attachment() ) :
		if(!empty($shortcode)){
			?>
			<div class="thumbnail_large <?php echo esc_attr($class_blog);?>">
			<?php
				if($class_blog=="blog-thumbnail"){
					echo do_shortcode($shortcode[count($shortcode)-1]);
				}
				else{
					echo do_shortcode($shortcode[count($shortcode)-1]);
				}
			?>
			</div>
			<?php
		}
	endif; 
?>		
</div>        
<div class="blog-item-description ">


<div class="entry-content">
			<?php 
			if ( post_password_required( $post->ID ) )
						  echo get_the_password_form( $post->ID );
			else{
				if(is_single()){
						the_content();
				}
				else{
					$p = preg_split( '/<!--more(.*?)?-->/', apply_filters('the_content',$post->post_content ));
					if(isset($p[1])){
						echo apply_filters( 'esc_html', $p[0] );
					}
					else{
						the_content();
					}
				}
			}
			 ?>

			<?php  wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'jv-hosting' ), 'after' => '</div>' ) ); ?>
		</div>
        

    
<div class="clearfix tools-detail">
		
		
		<div class="tags"><i class="icon-tags"></i><?php _e( 'Tags :', 'jv-hosting' ); ?>
		<?php 	jv_hosting_entry_meta_tag();			?>
            
		</div>
	</div>

        
<?php if ( is_singular() && get_the_author_meta( 'description' ) && is_multi_author() ) : // If a user has filled out their description and this is a multi-author blog, show a bio on their entries. ?>
	<div class="author-info">
		<div class="author-avatar">
			<?php
			/** This filter is documented in author.php */
			$author_bio_avatar_size = apply_filters( 'hosting_author_bio_avatar_size', 110 );
			echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
			?>
		</div><!-- .author-avatar -->
		<div class="author-description">
			<h4 class="author-name light text-primary">
				<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
					<?php printf( __( '%s', 'jv-hosting' ), get_the_author() ); ?>
				</a>
			</h4>
			<p><?php the_author_meta( 'description' ); ?></p>
			
			<span class="author-link url">
				<i class="icon-earth3"></i><?php echo esc_attr_e( 'Website :', 'jv-hosting' ) ; ?> 
				<a class="text-primary" href="<?php the_author_meta( 'url' ); ?>" target="_blank"><?php the_author_meta( 'url' ); ?></a>
			</span>
			<span class="author-link email">
				<i class="icon-envelope-o"></i><?php echo esc_attr_e( 'Email :', 'jv-hosting' ); ?>
				<a class="text-primary" href="mailto:<?php the_author_meta( 'email' ); ?>" target="_blank"><?php the_author_meta( 'email' ); ?></a>
			</span>
			
			
		</div><!-- .author-description -->
	</div><!-- .author-info -->
<?php endif; ?>



<div class="row blog-links">
		<div class="col-xs-6">
			<h4 class="txt-uppercase"> <?php _e( 'Lastest from', 'jv-hosting' ); echo " ". get_the_author();?></h4>
            <?php  echo do_shortcode( '[my-related-posts number=5  author="' . get_the_author_meta('ID') . '"]' ); ?>
		</div>
		<div class="col-xs-6">
			<h4 class="txt-uppercase"><?php _e( 'Related items', 'jv-hosting' ); ?></h4>
<?php 		$posttags = get_the_tags(); 
			if ($posttags) {
				
			  $tags = array();
			  foreach($posttags as $tag) {
				array_push( $tags, $tag->term_id );
			  }
			  echo do_shortcode( '[my-related-posts number=5 tag="'.implode( ',', $tags ).'" ]' );
			}
?>
            
		</div>
	</div>
</div>


</div>
</article>
	<!-- #post -->
