<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package Hosting
 * @subpackage JV_Hosting
 * @since JV Hosting 1.0
 */
$shortcode=array();
$class_blog="";

$url = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
if($url<>""){
	$shortcode[]='<img alt=""  src="'.esc_url($url).'" />';
	$class_blog="blog-thumbnail";
}
$audio=get_post_meta($post->ID,'audio_setting',true);
if($audio<>""){
	$shortcode[]=$audio;
	$class_blog="blog-audio";
}
$video=get_post_meta($post->ID,'video_setting',true);
if($video<>""){
	$shortcode[]=$video;
	$class_blog="blog-video";
}

if(jv_get_album($post->ID)<>""){
	$shortcode[]=jv_get_album($post->ID);
	$class_blog="blog-gallery";
}

			
?>
<article  id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

        <div class="post-meta">
			<div class="meta-icon bg-padding-box border circle">
				<i class="<?php echo jv_get_metaicon($class_blog); ?>"></i>
			</div>
			
			<?php jv_echo_date_hosting(); ?>
			
			<?php if ( is_sticky()  && ! is_paged() ) : ?>
			<div class="featured-post">
				<i class="icon-star6"></i>
			</div>
			<?php endif; ?>
			
        </div>
		

<div class="blog-item-description <?php if($class_blog) echo 'is_thumbnail_large'; ?>">

		<h3 class="entry-title">
			<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
		</h3>

<div class="entry-meta ItemLinks ItemLinksInline ItemLinksTop">

<?php 
jv_hosting_entry_meta(); 
?>

<?php edit_post_link( __( 'Edit', 'jv-hosting' ), '<span class="edit-link "><i class="icon-edit5"></i>  ', '</span>' ); ?>

</div><!-- .entry-meta -->

<?php 
	if ( ! post_password_required() && ! is_attachment() ) :
		if(!empty($shortcode)){
			?>
			<div class="thumbnail_large <?php echo esc_attr($class_blog);?>">
			<?php
				if($class_blog=="blog-thumbnail"){
					echo do_shortcode($shortcode[count($shortcode)-1]);
				}
				else{
					echo do_shortcode($shortcode[count($shortcode)-1]);
				}
			?>
			</div>
			<?php
		}
	endif; 
?>		

<div class="entry-content">
			<?php 
			if ( post_password_required( $post->ID ) )
						  echo get_the_password_form( $post->ID );
			else{
				if(is_single()){
						the_content();
				}
				else{
					$p = preg_split( '/<!--more(.*?)?-->/', apply_filters('the_content',$post->post_content ));
					if(isset($p[1])){
						echo apply_filters( 'esc_html', $p[0] );
					}
					else{
						the_content();
					}
				}
			}
			 ?>

			<?php  wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'jv-hosting' ), 'after' => '</div>' ) ); ?>
		</div>


<footer class="entry-footer">
        
                <?php if ( comments_open() ) : ?>
                    <span class="comments-link pull-right">
                        <?php comments_popup_link( '<span class="leave-reply"> <i class="icon-comments3"></i> ' . __( '0', 'jv-hosting' ) . '</span>', __( '<i class="icon-comments3"></i> 1', 'jv-hosting' ), __( '<i class="icon-comments3"></i> %', 'jv-hosting' ) ); ?>
                    </span><!-- .comments-link -->
                <?php endif; ?>
                

                        <a class="btn btn-primary" href="<?php the_permalink(); ?>" rel="bookmark"> <?php _e( 'Read more', 'jv-hosting' ); ?><i class="icon-arrow-right10"></i></a>

        </footer>
    





</div>



</article>
	<!-- #post -->
