<?php
/**
 * The Header template for our theme
 *
 * @package Hosting
 * @subpackage JV_Hosting
 * @since JV Hosting 1.0
 */

?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) & !(IE 8)]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php echo esc_attr( get_bloginfo( 'charset' ) ); ?>" />

<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=0.5, maximum-scale=2.5, user-scalable=no" />
<meta name="apple-mobile-web-app-capable" content="yes" />
<meta name="handheldfriendly" content="true" />
<link rel="canonical" href="http://www.bistscript.ir" />
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php echo esc_attr( get_bloginfo( 'pingback_url' ) ); ?>" />

<?php if ( ! function_exists( 'has_site_icon' ) || ! call_user_func( 'has_site_icon' ) ) : ?>
<link rel="shortcut icon" href="<?php echo apply_filters( 'jvfavicon', get_template_directory_uri() . "/favicon.ico" ) ?>" type="image/x-icon" >
<?php endif; ?>

<?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<?php wp_head(); ?>
</head>
<body  <?php body_class(); ?>>
<div id="page" class="hfeed site">

<div id="mainsite">
<span class="flexMenuToggle"></span>



  
  

	<header id="header" class="jv-main-header " role="banner" >
		<div class="container">
				<?php echo JVLibrary::logo(); ?>

                <a href="JavaScript:void(0);" class="flexMenuToggle"> <span></span><span></span><span></span>  </a>
                
                <div class="header-top">
                 <?php dynamic_sidebar( 'sidebar-header' ); ?>
				 
					
                 <aside class=" widget widget_form_search" >
                    <div class="textwidget">
                    <?php  echo apply_filters( 'render_form_search', '' ); ?>
                    </div>
                </aside>
                <?php
                  if(class_exists('Woocommerce'))  { 
                   echo '<aside class=" widget widget_text widget_text_login" ><div class="textwidget"> ';
                    echo do_shortcode('[woo_login_form]');
                    echo '</div></aside>';
                    }?>
					
					
			
				
                </div>
        </div>
		<nav id="nav-mainmenu">
            <div class="container">
            <?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu' ) ); ?>
            
            </div>
    	</nav>
    	<div class="after_menu_mobile"></div>
	</header>
    
    
    
	
	