<?php
/**
 * The template for displaying Category pages
 *
 * Used to display archive-type pages for posts in a category.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Hosting
 * @subpackage JV_Hosting
 * @since JV Hosting 1.0
 */
?>

<?php 
    $tags               = isset( $postmeta[ 'jvportfolio_tags' ] ) ? $postmeta[ 'jvportfolio_tags' ] : false ;
    $cols               = intval( isset( $postmeta[ 'jvportfolio_col' ] ) ? $postmeta[ 'jvportfolio_col' ] : 3 ) ;
    $stag               = isset( $postmeta[ 'jvportfolio_stag' ] ) && intval( $postmeta[ 'jvportfolio_stag' ] );
    $isfilter           = isset( $postmeta[ 'jvportfolio_filter' ] ) && intval( $postmeta[ 'jvportfolio_filter' ] );
    $isfuild            = isset( $postmeta[ 'jvportfolio_fluid' ] ) && intval( $postmeta[ 'jvportfolio_fluid' ] );
	$islink            	= isset( $postmeta[ 'jvportfolio_slink' ] ) && intval( $postmeta[ 'jvportfolio_slink' ] );
    $issort             = isset( $postmeta[ 'jvportfolio_sort' ] ) && count( $postmeta[ 'jvportfolio_sort' ] );
	
	$stitle            	= isset( $postmeta[ 'jvportfolio_stitle' ] ) && intval( $postmeta[ 'jvportfolio_stitle' ] );
	$sdate            	= isset( $postmeta[ 'jvportfolio_sdate' ] ) && intval( $postmeta[ 'jvportfolio_sdate' ] );
	$sdesc            	= isset( $postmeta[ 'jvportfolio_sdesc' ] ) && intval( $postmeta[ 'jvportfolio_sdesc' ] );
	
	
    $portfolio_options  = get_option( 'prtfl_options' );

?>



			
 <div class="jvPortfolio  jv-hosting-slider owl-carousel ">
				
				<?php $count = 0;
				if ( get_query_var( 'paged' ) ) {
					$paged = get_query_var( 'paged' );
				} elseif ( get_query_var( 'page' ) ) {
					$paged = get_query_var( 'page' );
				} else {
					$paged = 1;
				}
				$per_page = $showitems = isset( $postmeta[ 'jvportfolio_limit' ] ) ? intval( $postmeta[ 'jvportfolio_limit' ] ) : get_option( 'posts_per_page' ); 
                $postmeta[ 'jvportfolio_limit' ] = $per_page;
				$technologies = get_query_var("technologies", "");
                
                if( $tags ) { $technologies = $postmeta[ 'jvportfolio_tags' ]; }
                
                $executor_profile = get_query_var("portfolio_executor_profile", "" );
                if ( "" != $technologies ) {
                    $args = array(
                        'post_type'         => 'portfolio',
                        'post_status'         => 'publish',
                        'orderby'             => $portfolio_options['prtfl_order_by'],
                        'order'                 => $portfolio_options['prtfl_order'],
                        'posts_per_page'    => $per_page,
                        'paged'             => $paged,
                        'tax_query'         => array(
                            array(
                                'taxonomy'     => 'portfolio_technologies',
                                'field'     => 'term_id',
                                'terms'     => $technologies
                            )
                        )
                    );
                } else if ( "" != $executor_profile ) {
                    $args = array(
                        'post_type'         => 'portfolio',
                        'post_status'         => 'publish',
                        'orderby'            => $portfolio_options['prtfl_order_by'],
                        'order'             => $portfolio_options['prtfl_order'],
                        'posts_per_page'     => $per_page,
                        'paged'             => $paged,
                        'tax_query'         => array(
                            array(
                                'taxonomy'     => 'portfolio_executor_profile',
                                'field'     => 'slug',
                                'terms'     => $executor_profile
                            )
                        )
                    );
                } else {
                    $args = array(
                        'post_type'            =>    'portfolio',
                        'post_status'        =>    'publish',
                        'orderby'            =>    $portfolio_options['prtfl_order_by'],
                        'order'                =>    $portfolio_options['prtfl_order'],
                        'posts_per_page'    =>    $per_page,
                        'paged'                =>    $paged
                    );
                }

                $second_query   = new WP_Query( $args );  
                $url_next       = apply_filters( 'jvportfolio_nextpage', get_pagenum_link( 2 ) );
                $request        = $second_query->request;

                if ( $second_query->have_posts() ) :
                
                    do_action( 'jvportfolio_ajax',  'content', $postmeta, intval( $second_query->found_posts ), $url_next );
                     
                    while ( $second_query->have_posts() ) : $second_query->the_post(); ?>
                    <?php 
                    $post = $second_query->post;
                    $terms = wp_get_object_terms( $post->ID, 'portfolio_technologies' );
                    $is_terms = is_array( $terms ) && 0 < count( $terms );
                    ?>
                        <div id="<?php echo apply_filters( 'jvportfolio_id', $post->ID )?>" class="item col-xs-6 <?php echo apply_filters( 'jvportfolio_col', $cols ) ?>" <?php if( $is_terms ) : ?> data-groups='<?php echo apply_filters( 'jvportoflio_getTermsSort', $terms )?>' <?php endif; ?> data-name="<?php echo esc_attr( $post->post_name )?>" data-date="<?php echo apply_filters( 'jvportoflio_getTimeSort', $post->post_date )?>">
						<div class=" entry item-inner">
							<?php $meta_values        =    get_post_custom( $post->ID );
							$post_thumbnail_id    =    get_post_thumbnail_id( $post->ID );
							if ( empty ( $post_thumbnail_id ) ) {
								$args = array(
									'post_parent'        =>    $post->ID,
									'post_type'            =>    'attachment',
									'post_mime_type'    =>    'image',
									'numberposts'        =>    1
								);
								$attachments        =    call_user_func( 'get_' . 'children', $args );
								$post_thumbnail_id    =    key( $attachments );
							}
							$image            =    wp_get_attachment_image_src( $post_thumbnail_id, 'portfolio-thumb' );
							$image_large    =    wp_get_attachment_image_src( $post_thumbnail_id, 'large' );
							$image_alt        =    get_post_meta( $post_thumbnail_id, '_wp_attachment_image_alt', true );
							$image_desc     =    get_post($post_thumbnail_id);
							$image_desc        =    $image_desc->post_content;
							
							if ( '1' == get_option( 'prtfl_postmeta_update' ) ) {
								$post_meta        =    get_post_meta( $post->ID, 'prtfl_information', true);
								$date_compl        =    $post_meta['_prtfl_date_compl'];
								if ( ! empty( $date_compl ) && 'in progress' != $date_compl) {
									$date_compl        = explode( "/", $date_compl );
									$date_compl        = date( get_option( 'date_format' ), strtotime( $date_compl[1] . "-" . $date_compl[0] . '-' . $date_compl[2] ) );
								}
								$link            =    $post_meta['_prtfl_link'];
								$short_descr    =    $post_meta['_prtfl_short_descr'];
							} else {
								$date_compl        =    get_post_meta( $post->ID, '_prtfl_date_compl', true );
								if ( ! empty( $date_compl ) && 'in progress' != $date_compl) {
									$date_compl        =    explode( "/", $date_compl );
									$date_compl        =    date( get_option( 'date_format' ), strtotime( $date_compl[1] . "-" . $date_compl[0] . '-' . $date_compl[2] ) );
								}
								$link            =    get_post_meta( $post->ID, '_prtfl_link', true );
								$short_descr    =    get_post_meta( $post->ID, '_prtfl_short_descr', true );
							} ?>

							<div class="item-thumbnail">
								<img src="<?php echo esc_url( $image_large[0] ); ?>" width="<?php echo esc_attr( $portfolio_options['prtfl_custom_size_px'][0][0] ); ?>" height="<?php echo esc_attr( $portfolio_options['prtfl_custom_size_px'][0][1] ); ?>" alt="<?php echo esc_attr( $image_alt ); ?>" />
							</div>
							<div class="item-body jv-overlay hoverBorder-2"> 
								<div class="item-links">
								<!--rel="portfolio_fancybox"-->
									<a class="btn-readmore" title="<?php esc_attr_e( 'Quick view', 'jv-hosting' ); ?>" 
									data-portfolio_fancybox="group1"
									 href="<?php echo esc_url($image_large[0]); ?>"> <i class="icon-image3"></i></a>

									<a rel="bookmark" href="<?php echo esc_url( $link ); ?>" title="<?php echo esc_attr( get_the_title() ); ?>" class="btn-quickview link-ajax" > <i class="icon-external-link"></i></a>                                </div>
								
								
								<div class="item-info">
									<?php if( $stitle ) : ?>
									<h4 class="title">
										<a href="<?php  echo esc_url( $link ); ?>" rel="bookmark"><?php echo get_the_title(); ?></a>
									</h4>
									<?php endif; ?>

									<div class="info-details "> 
									<?php if( $stag && $is_terms ) : ?> 
										<span class="info-tags">
										<?php  echo  apply_filters( 'esc_html', '<i class="icon-folder"></i>' );
										$count = 0;
										foreach ( $terms as $term ) {
											if ( 0 < $count )
												echo apply_filters( 'esc_html', ', ' );
											echo apply_filters( 'esc_html', $term->name );
											$count++;
										} ?>
										</span>
									
									<?php endif;?>

									<?php if ( $sdate ) { ?>
											<span class="calendar"><i class="icon-calendar3"></i> <?php echo apply_filters( 'esc_html', $date_compl ); ?>
											</span>
										<?php }
										$user_id = get_current_user_id();
										if ( $islink ) {
											if ( false !== parse_url( $link ) ) { ?>
												<?php if ( ( 0 == $user_id && 0 == $portfolio_options['prtfl_link_additional_field_for_non_registered'] ) || 0 != $user_id ) { ?>
													<a href="<?php echo esc_url( $link ); ?>"><span class="icon-link"></span><?php echo apply_filters( 'esc_html', $link ); ?></a>
												<?php } else { ?>
													<span class="icon-link"></span> <?php echo apply_filters( 'esc_html', $link ); ?>
												<?php }
											} else { ?>
												<span class="icon-link"></span> <?php echo apply_filters( 'esc_html', $link ); ?>
											<?php }
									}?>

									</div><!-- .info-details -->
								 
									<?php
									if ( $sdesc ) { ?>
										<div class="sdesc"><?php echo apply_filters( 'esc_html', $short_descr ); ?></div>
									<?php } ?>
										

								</div><!--  item-info -->
								
							</div><!-- item-body -->

						</div><!-- .entry -->

					</div><!-- .portfolio_content -->
                    <?php endwhile; ?>
					
					
                    
                <?php endif; ?>
            </div><!-- #content -->    
<script type="text/javascript">
//a[rel=portfolio_fancybox]
					(function($){
						$(document).ready(function(){
							<?php if ( ! function_exists( 'is_plugin_active_for_network' ) || ! function_exists( 'is_plugin_active' ) )
								if ( ( ! is_plugin_active( 'gallery-plugin-pro/gallery-plugin-pro.php' ) && ! is_plugin_active_for_network( 'gallery-plugin-pro/gallery-plugin-pro.php' ) ) || ( isset( $all_plugins["gallery-plugin-pro/gallery-plugin-pro.php"]["Version"] ) && "1.3.0" >= $all_plugins["gallery-plugin-pro/gallery-plugin-pro.php"]["Version"] ) ) {  ?>
								$("a[data-portfolio_fancybox='group1']").fancybox({
									'transitionIn'		: 'elastic',
									'transitionOut'		: 'elastic',
									'titlePosition' 	: 'inside',
									'speedIn'			: 500,
									'speedOut'			: 300,
									'titleFormat'		: function(title, currentArray, currentIndex, currentOpts) {
										return '<span id="fancybox-title-inside">' + ( title.length ? title + '<br />' : '' ) + 'Image ' + ( currentIndex + 1 ) + ' / ' + currentArray.length + '</span>';
									}
								});
							<?php } else { ?>
								$("a[data-portfolio_fancybox='group1']").fancybox({
									openSpeed	:	500, 
									closeSpeed	:	300,
									helpers		: {
										title	: { type : 'inside' }
									},
									prevEffect	: 'fade',
									nextEffect	: 'fade',	
									openEffect	: 'elastic',
									closeEffect	: 'elastic',
									beforeLoad: function() {
										this.title = '<span id="fancybox-title-inside">' + ( this.title.length ? this.title + '<br />' : '' ) + 'Image ' + ( this.index + 1 ) + ' / ' + this.group.length + '</span>';
									}
								});		
							<?php } ?>
						});
					})(jQuery);
				</script>            


