<?php
/**
 * @package Hosting
 * @subpackage JV_Hosting
 * @since JV Hosting 1.0
 */
?>
<div <?php echo esc_attr( ! empty( $args['cssID'] ) ? 'id="' . sanitize_html_class( $args['cssID'] ) . '"' : '' )?> class="rpwe-block <?php echo esc_attr( ! empty( $args['css_class'] ) ? '' . sanitize_html_class( $args['css_class'] ) . '' : '' )?>">
	<?php if( !empty( $args['title']) ) {?>
    <h2 class="widgettitle"> <?php echo apply_filters( 'esc_html', $args['title'] ); ?> <?php if( !empty( $args['subtitle']) ) {?> <span class="sub-title"><?php echo apply_filters( 'esc_html', $args['subtitle'] ); ?></span> <?php } ?> </h2>
    <?php } ?>

	<div class="rpwe-div blog-grid blog-photo-overlay <?php if ($args['col'] > 1 ) echo 'row'; ?> ">
		
		<?php while ( $posts->have_posts() ) : $posts->the_post();
			// Thumbnails
			$thumb_id = get_post_thumbnail_id(); // Get the featured image id.
			$img_url  = wp_get_attachment_url( $thumb_id ); // Get img URL.

			// Display the image url and crop using the resizer.
			$image    = rpwe_resize( $img_url, $args['thumb_width'], $args['thumb_height'], true );
			if( !( $args['thumb_width'] + $args['thumb_height'] ) ) { $image = $img_url; }
			
			?>
			 <?php if ($args['col'] > 1 ) : ?>
            <div class="<?php echo  'col-md-'.(12/sanitize_html_class( $args['col']) ).' col-xs-6';  ?>">
             <?php endif; ?>

			<div class='item gradient'>
					<?php if ( $args['thumb'] ) : ?>
						<?php $audio = get_post_meta( get_the_ID(), 'audio_setting', true ); ?>
						<?php $video = get_post_meta( get_the_ID(), 'video_setting', true ); ?>
                        <?php if ( has_post_thumbnail() or $audio or $video): ?>
							<?php if( $audio or $video ) : ?>
								<?php if( $audio and $video ) : ?>
									<?php $media = $video  ?>
								<?php else : ?>
									<?php $media = $audio . $video;  ?>
								<?php endif;?>
								<?php echo apply_filters( 'the_content', $media )?>
							<?php else : ?>
								<a class="rpwe-img" href="<?php echo esc_url( get_permalink() )?>"  rel="bookmark"><?php if ( $image ) : ?><img class="<?php echo esc_attr( $args['thumb_align'] ) ?> rpwe-thumb" src="<?php echo esc_url( $image )?>" alt="<?php echo esc_attr( get_the_title() )?>"><?php else : ?>
									<?php 
										get_the_post_thumbnail( get_the_ID(),
											array( $args['thumb_width'], $args['thumb_height'] ),
											array( 
												'class' => $args['thumb_align'] . ' rpwe-thumb the-post-thumbnail',
												'alt'   => esc_attr( get_the_title() )
											)
										);
									?>
								<?php endif;?>
								</a>
							<?php endif;?>
						<?php elseif ( function_exists( 'get_the_image' ) ) : ?>
							<?php get_the_image( array( 
								'height'        => (int) $args['thumb_height'],
								'width'         => (int) $args['thumb_width'],
								'image_class'   => esc_attr( $args['thumb_align'] ) . ' rpwe-thumb get-the-image',
								'image_scan'    => true,
								'echo'          => false,
								'default_image' => esc_url( $args['thumb_default'] )
							) ); ?>
						<?php elseif ( ! empty( $args['thumb_default'] ) ) : ?>
							<?php sprintf( '<a class="rpwe-img" href="%1$s" rel="bookmark"><img class="%2$s rpwe-thumb rpwe-default-thumb" src="%3$s" alt="%4$s" width="%5$s" height="%6$s"></a>',
								esc_url( get_permalink() ),
								esc_attr( $args['thumb_align'] ),
								esc_url( $args['thumb_default'] ),
								esc_attr( get_the_title() ),
								(int) $args['thumb_width'],
								(int) $args['thumb_height']
							); ?>
						<?php endif; ?>
					<?php endif; ?>
					<div class="overlay item-top">
						<?php if ( intval( $args['dcategory'] ) && ( $cposts = get_the_category( get_the_ID() ) ) && count( $cposts ) ) : ?>
							<span class="categories">
							
							<?php if( $icategory = apply_filters( 'rpwe_icon', 'category', $args[ 'icate' ] ) ) : ?>
							<i class="<?php echo apply_filters( 'esc_html', $icategory ); ?>"></i>
							<?php endif; ?>
							<?php foreach( $cposts as $cpost) : ?>
								<a class="category-name" href="<?php echo get_category_link( $cpost->term_id )?>">
									<?php echo esc_html( $cpost->cat_name ) ?>
								</a>
							<?php endforeach;?>
							</span>
						<?php endif; ?>
							
						<?php if ( intval( $args['dtag'] ) && ( $tags_post = get_the_tags( get_the_ID() ) ) && count( $tags_post ) ) : ?>
							<span class="tags">
							<?php if( $itag = apply_filters( 'rpwe_icon', 'tag', $args[ 'itag' ] ) ) : ?>
							<i class="<?php echo apply_filters( 'esc_html', $itag ); ?>"></i>
							<?php endif; ?>
							<?php foreach( $tags_post as $tag_post) : ?>
								<span class="tag-name">
									  <?php echo esc_html( $tag_post->name ) ?>
								</span>
							<?php endforeach;?>
							</span>
						<?php endif;?>        
						<?php if ( intval( $args['dauthor'] ) ) : ?>
							<span> 
							<?php if( $iauthor = apply_filters( 'rpwe_icon', 'author', $args[ 'iauthor' ] ) ) : ?>
							<i class="<?php echo apply_filters( 'esc_html', $iauthor ); ?>"></i>
							<?php endif; ?>
							<?php echo get_the_author_link(); ?>
							</span>
						<?php endif;?>
						<div class="readmore-comment">
							<?php if( intval( $args[ 'dcomment' ] ) ) : 
								$comments = get_comments( array( 'post_id'=> get_the_ID(), 'count'=>1 ) );
								$clink = get_comments_link( get_the_ID() ); 
								$icomment = apply_filters( 'rpwe_icon', 'comment', $args[ 'icomment' ] );?>
								<?php echo sprintf('<a href="%1$s" class="moduleItemComments"><i class="%2$s"></i> %3$s</a>', $clink, $icomment, $comments);
							endif;
							
							if ( $args['readmore'] ) : ?><a href="<?php echo esc_url( get_permalink() )?>" class="readmore"><?php echo apply_filters( 'rpwe_readmore', $args['readmore_text'] ) ?></a>
							<?php endif;?>
						</div>
					</div>
					<div class="overlay item-bottom">
					<?php if ( $args['date'] ) : ?>
						<div class="dateItem">
							<div class="month"><?php echo apply_filters( 'esc_html', call_user_func( 'get_the_date', 'm/Y') ); ?></div>
							<div class="date"><?php echo apply_filters( 'esc_html', call_user_func( 'get_the_date', 'd') );  ?></div>
						</div>
					<?php endif; ?>
					<?php if (  isset( $args['dtitle'] ) && intval( $args['dtitle'] ) ) : ?>
                    	<h4 class="title"><a href="<?php echo esc_url( get_permalink() )?>" title="<?php echo sprintf( esc_attr__( 'Permalink to %s', 'jv-hosting' ), the_title_attribute( 'echo=0' ) )?>" rel="bookmark"><?php echo esc_attr( get_the_title() ) ?></a></h4>
					<?php endif; ?>
					
					<?php if (  isset( $args['excerpt'] ) && intval( $args['excerpt'] ) ) : ?>
						<h5 class="excerpt light">
							<?php echo wp_trim_words( apply_filters( 'the_content', get_the_content() ), $args['length'], ' [&hellip;]' )?>
						</h5>
					<?php endif; ?>   
					
					</div>
			</div> <!-- end rpwe-li item -->

			<?php if ($args['col'] > 1 ): ?>
	        </div>
	        <?php endif; ?>	

		<?php endwhile; ?>


	</div>

</div>