<?php
/**
 * Thankyou page
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( $order ) : ?>

	<?php if ( $order->has_status( 'failed' ) ) : ?>

		<p><?php _e( 'Unfortunately your order cannot be processed as the originating bank/merchant has declined your transaction.', 'jv-hosting' ); ?></p>

		<p><?php
			if ( is_user_logged_in() )
				_e( 'Please attempt your purchase again or go to your account page.', 'jv-hosting' );
			else
				_e( 'Please attempt your purchase again.', 'jv-hosting' );
		?></p>

		<p>
			<a href="<?php echo esc_url( $order->get_checkout_payment_url() ); ?>" class="button pay"><?php _e( 'Pay', 'jv-hosting' ) ?></a>
			<?php if ( is_user_logged_in() ) : ?>
			<a href="<?php echo esc_url( get_permalink( wc_get_page_id( 'myaccount' ) ) ); ?>" class="button pay"><?php _e( 'My Account', 'jv-hosting' ); ?></a>
			<?php endif; ?>
		</p>

	<?php else : ?>

	
        
        <div class="order_details panel panel-primary">
        <div class="panel-heading">
        	<h2 class="panel-title"><?php echo apply_filters( 'woocommerce_thankyou_order_received_text', __( 'Thank you. Your order has been received.', 'jv-hosting' ), $order ); ?></h2>
        </div>
        <div class=" panel-body">

<table cellpadding="0" width="100%" cellspacing="0">
        		<tr>
                	<td class="class="order"">				<?php _e( 'Order Number:', 'jv-hosting' ); ?>
				<strong><?php echo esc_html($order->get_order_number()); ?></strong></td>

                	<td class="date">				<?php _e( 'Date:', 'jv-hosting' ); ?>
				<strong><?php echo esc_html(date_i18n( get_option( 'date_format' ), strtotime( $order->order_date ) )); ?></strong></td>
                	<td class="total">				<?php _e( 'Total:', 'jv-hosting' ); ?>
				<strong><?php echo apply_filters( 'esc_html', $order->get_formatted_order_total() ); ?></strong></td>
			<?php if ( $order->payment_method_title ) : ?>
			<td class="method">
				<?php _e( 'Payment Method:', 'jv-hosting' ); ?>
				<strong><?php echo esc_html($order->payment_method_title); ?></strong>
			</td>
			<?php endif; ?>

                </tr>
        </table>

		</div>
        
        
        
		</div>

	<?php endif; ?>

	<?php do_action( 'woocommerce_thankyou_' . $order->payment_method, $order->id ); ?>
	<?php do_action( 'woocommerce_thankyou', $order->id ); ?>

<?php else : ?>

	<p><?php echo apply_filters( 'woocommerce_thankyou_order_received_text', __( 'Thank you. Your order has been received.', 'jv-hosting' ), null ); ?></p>

<?php endif;
