<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
	$woocommerce_loop['loop'] = 0;


// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) )
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );

// Ensure visibility
if ( ! $product || ! $product->is_visible() )
	return;

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();

if ( 0 != ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 != $woocommerce_loop['columns'] )
	$classes[] = 'item  ';

if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] )
	$classes[] = 'item-first';
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] )
	$classes[] = 'item-last';
?>




<div <?php post_class( $classes ); ?> >
	<div class="inner-item thumbleft">

        <?php do_action( 'woocommerce_before_shop_loop_item' ); ?>
		
	<div class="product-img">
		          
		<a  href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
			<?php
			echo get_the_post_thumbnail($product->post->ID,array(40,60));
		?>	
		<?php		
		woocommerce_show_product_sale_flash( );
		?>
        </a>
	</div>    
    
    <div class="content-item-description">
		    <h4 class="product-title">    
			<a  href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"> <?php the_title(); ?> </a>
		    </h4>  
          
	      <div class="product-price"><?php	woocommerce_template_loop_price();	?></div>
          
          <?php do_action( 'woocommerce_after_shop_loop_item' ); // add to cart ?>
        
    </div>   
	
   
	</div>
</div>