<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
	$woocommerce_loop['loop'] = 0;


// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) )
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );

// Ensure visibility
if ( ! $product || ! $product->is_visible() )
	return;

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();

if ( 0 != ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 != $woocommerce_loop['columns'] )
	$classes[] = 'item  ';

if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] )
	$classes[] = 'item-first';
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] )
	$classes[] = 'item-last';
?>




<div <?php post_class( $classes ); ?> >
	<div class="inner-item">

        <?php do_action( 'woocommerce_before_shop_loop_item' ); ?>



		
	<div class="product-img">
		     
        
		<a  href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
			<?php
			echo get_the_post_thumbnail($product->post->ID,array(370,370));
		?>
        </a>
		
		<?php		
		woocommerce_show_product_sale_flash( );
		?>
                
        

		<?php
        $countbtn = 1; 
        if(shortcode_exists( 'yith_wcwl_add_to_wishlist' )) { $countbtn = $countbtn + 1; }
        if(shortcode_exists( 'yith_compare_button' )) { $countbtn = $countbtn + 1; }
        ?>
       <div class="product-action countbtn_<?php echo esc_attr( $countbtn ); ?>">
		   	<?php if(shortcode_exists( 'yith_wcwl_add_to_wishlist' )){?><div class="item-btn"> <?php  echo do_shortcode("[yith_wcwl_add_to_wishlist]"); ?></div><?php } ?> 
		    <?php if(shortcode_exists( 'yith_compare_button' )){?><div class="item-btn"> <?php  echo do_shortcode("[yith_compare_button]"); ?></div><?php } ?>  
            <div class="item-btn"><a class="product-detail btn" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><i class="icon-search32"></i></a></div>
        </div> 
	</div>    
    
    <div class="content-item-description">
                                                    
    <h3 class="product-title">    
        <a  href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
            <?php the_title(); ?>
        </a>

    </h3>        
	<div class="product-price"><?php	woocommerce_template_loop_price();	?></div>

      <?php do_action( 'woocommerce_after_shop_loop_item' ); // add to cart ?>
    
        
    </div>    
	</div>
</div>